require( "scripts/style.lua" );

MakeDialog
{
	name="Comics", -- Remember, this is like saying table['name']=name, so it works.
	Comics
	{
			x=0,y=0,w=kMax,h=kMax,
		    img_fade_time = 2,
			text_fade_time = 1,
			bkgImg = "",
			bkColor = "100,0,0,255",
			music= "audio/music/progress_map.ogg",
			ambient = "",

			Button
			{
				x=65,
				y=658,
				name="skip",
				parent = DefaultStyle, sound = kDefaultButtonSound,
				type= kPush,
				graphics = {"buttons/intro_b_skip",	"buttons/intro_b_skip_pressed",	"buttons/intro_b_skip_mouseover"},
				                                                   
				command=
					function()
					    if(not(StartSoundFade == nil)) then StartSoundFade(); end
						CSWithSh("Comics", gScriptAfterComis);
						DoModal("scripts/shadow.lua");
					end
			},

			Button
			{
				x=790,
				y=658,
				name="next",
				parent = DefaultStyle, sound = kDefaultButtonSound,
				type= kPush,
				graphics = {"buttons/intro_b_next",	"buttons/into_b_next_pressed",	"buttons/intro_b_next_mouseover"},
				command=
					function()
						GoNext();
					end
			},
			
			Button
			{
				x=805,
				y=75,
				name="play",
				parent = DefaultStyle, sound = kDefaultButtonSound,
				type= kPush,
				graphics = {"buttons/tutor/b_close",	"buttons/tutor/b_close_pressed",	"buttons/tutor/b_close_mouseover"},
				command=
					function()
					    if(not(StartSoundFade == nil)) then StartSoundFade(); end
						CSWithSh("Comics", "scripts/prmap.lua");
						DoModal("scripts/shadow.lua");
					end
			},
	},

} -- MakeDialog
